Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 142528 - Add new friends to the xml modules
Add new friends to the xml modules
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@xml
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 08:06 UTC by Vladimir Yaroslavskiy
Modified: 2008-09-04 13:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
friends (10.90 KB, application/x-compressed)
2008-08-01 09:15 UTC, Vladimir Yaroslavskiy
Details
updated friends diff (6.64 KB, text/plain)
2008-08-05 10:23 UTC, Vladimir Yaroslavskiy
Details
updated friends diff 1 (6.70 KB, text/plain)
2008-08-05 10:37 UTC, Vladimir Yaroslavskiy
Details
updated friends diff 2 (7.98 KB, text/plain)
2008-08-05 10:51 UTC, Vladimir Yaroslavskiy
Details
updated friends diff 3 (6.33 KB, text/plain)
2008-08-06 12:19 UTC, Vladimir Yaroslavskiy
Details
updated friends diff 4 (6.77 KB, text/plain)
2008-08-07 09:02 UTC, Vladimir Yaroslavskiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Yaroslavskiy 2008-08-01 08:06:57 UTC
module org.netbeans.modules.xml.axi
friend org.netbeans.modules.soa.ui01
friend org.netbeans.modules.soa.ui02
friend org.netbeans.modules.soa.ui03
friend org.netbeans.modules.soa.ui04
friend org.netbeans.modules.soa.ui05

module org.netbeans.modules.xml.xam.ui
friend org.netbeans.modules.xml.search01
friend org.netbeans.modules.xml.search02
friend org.netbeans.modules.xml.search03
friend org.netbeans.modules.xml.search04
friend org.netbeans.modules.xml.search05
friend org.netbeans.modules.soa.ui01
friend org.netbeans.modules.soa.ui02
friend org.netbeans.modules.soa.ui03
friend org.netbeans.modules.soa.ui04
friend org.netbeans.modules.soa.ui05

module org.netbeans.modules.xml.validation
friend org.netbeans.modules.soa.validation01
friend org.netbeans.modules.soa.validation02
friend org.netbeans.modules.soa.validation03
friend org.netbeans.modules.soa.validation04
friend org.netbeans.modules.soa.validation05

module org.netbeans.modules.xml.schema.ui.basic
friend org.netbeans.modules.xslt.tmap

module org.netbeans.modules.xml.text
friend org.netbeans.modules.xslt.tmap
friend org.netbeans.modules.xslt.core
Comment 1 Vladimir Yaroslavskiy 2008-08-01 08:13:07 UTC
+ another modules:

module org.netbeans.modules.xml.wsdl.bindingsupport
friend org.netbeans.modules.compapp.manager.jbi

module org.netbeans.modules.xml.catalogsupport
friend org.netbeans.modules.bpel.mapper
Comment 2 Vladimir Yaroslavskiy 2008-08-01 09:13:57 UTC
see attached project.xml files with new friends.
Comment 3 Vladimir Yaroslavskiy 2008-08-01 09:15:05 UTC
Created attachment 66270 [details]
friends
Comment 4 Samaresh Panda 2008-08-01 15:15:14 UTC
It is clear that you want some modules to have more and more friends but what's not clear is why?

Unbelievable, what are these modules 01-05? Doesn't sound like a good idea to me at all.

Comment 5 Vladimir Yaroslavskiy 2008-08-01 15:24:13 UTC
to be compatible in future with new versions of the modules soa.ui, soa.validation,...
Comment 6 Sergey Lunegov 2008-08-01 15:28:40 UTC
Hi Sam, I agree this is not best idea. That was a long story: in April we introduced changes which make BPEL and XSLT
incompatible with NB 6.1. At that moment it wasn't the problem. Not we must provide such backward compatibility. What we
did -- we moved incompatible changes to new packages (e.g. org.netbeans.modules.soa.ui01). It allows us to have BPEL
from NB 6.1 and XSLT from new clone soa-dev. Again this is not best solution but this is the one we found acceptable.
02-05 were introduced if the same situation repeats. But I don't insist on this. 
Comment 7 Vladimir Yaroslavskiy 2008-08-04 09:55:28 UTC
+ one new friend for module org.netbeans.modules.xml.catalogsupport
friend: org.netbeans.modules.wlm.editor
Comment 8 Vladimir Yaroslavskiy 2008-08-04 09:59:01 UTC
+ new friend for moduel xml.multiview
friend: org.netbeans.modules.wlm.editor
Comment 9 Vladimir Yaroslavskiy 2008-08-05 10:21:57 UTC
See updated diff.
Comment 10 Vladimir Yaroslavskiy 2008-08-05 10:23:59 UTC
Created attachment 66570 [details]
updated friends diff
Comment 11 Vladimir Yaroslavskiy 2008-08-05 10:32:01 UTC
+ new friend for moduel xml.validation
friend: org.netbeans.modules.wlm.editor
Comment 12 Vladimir Yaroslavskiy 2008-08-05 10:32:59 UTC
See updated diff 1.
Comment 13 Vladimir Yaroslavskiy 2008-08-05 10:37:02 UTC
Created attachment 66571 [details]
updated friends diff 1
Comment 14 Vladimir Yaroslavskiy 2008-08-05 10:50:04 UTC
+ new friend for moduel xml.xam.ui
friend: org.netbeans.modules.wlm.editor

+ new friend for moduel xml.wsdl.extensions
friend: org.netbeans.modules.wlm.editor
friend: org.netbeans.modules.wlm.project

==> new diff 2 again
Comment 15 Vladimir Yaroslavskiy 2008-08-05 10:51:43 UTC
Created attachment 66573 [details]
updated friends diff 2
Comment 16 Vladimir Yaroslavskiy 2008-08-06 11:56:21 UTC
See updated diff 3
Comment 17 Vladimir Yaroslavskiy 2008-08-06 12:19:29 UTC
Created attachment 66672 [details]
updated friends diff 3
Comment 18 Vladimir Yaroslavskiy 2008-08-07 09:01:15 UTC
new friend bpel.mapper for xml.wsdl.extensions => diff 4
Comment 19 Vladimir Yaroslavskiy 2008-08-07 09:02:05 UTC
Created attachment 66762 [details]
updated friends diff 4
Comment 20 rbalada 2008-08-07 12:03:17 UTC
I've imported the attached diff #3
http://www.netbeans.org/nonav/issues/showattachment.cgi/66672/updated_friends_diff_3.diff into release61_fixes
repository as http://hg.netbeans.org/release61_fixes/rev/0de2cce3d139

I've ported the difference between diff #3 and #4 (
http://www.netbeans.org/nonav/issues/showattachment.cgi/66762/updated_friends_diff_4.diff ) into release61_fixes
repository as http://hg.netbeans.org/release61_fixes/rev/66e763ec32c5

Please verify the changesets, resp. final result.
Comment 21 Vladimir Yaroslavskiy 2008-08-07 12:16:57 UTC
Changesets look like good, will wait the continues build to verify.
Comment 22 Vladimir Yaroslavskiy 2008-08-11 09:25:30 UTC
fixed in netbeans-6.1_fixes-200808080103 by Sustaining team.
Comment 23 Vladimir Yaroslavskiy 2008-08-11 09:27:09 UTC
related issue 143420.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo